#### write (2 of 16 overloads)

Write all of the supplied data to a stream before returning.

    template<
        typename SyncWriteStream,
        typename ConstBufferSequence>
    std::size_t write(
        SyncWriteStream & s,
        const ConstBufferSequence & buffers,
        asio::error_code & ec,
        constraint_t< is_const_buffer_sequence< ConstBufferSequence >::value >  = 0);

This function is used to write a certain number of bytes of data to a stream. The call will block until one of the following conditions is true:

- All of the data in the supplied buffers has been written. That is, the bytes transferred is equal to the sum of the buffer sizes.
- An error occurred.

This operation is implemented in terms of zero or more calls to the stream's write_some function.

###### Parameters

s

  The stream to which the data is to be written. The type must support the SyncWriteStream concept.

buffers

  One or more buffers containing the data to be written. The sum of the buffer sizes indicates the maximum number of bytes to write to the stream.

ec

  Set to indicate what error occurred, if any.

###### Return Value

The number of bytes transferred.

###### Example

To write a single data buffer use the `buffer` function as follows:

    asio::write(s, asio::buffer(data, size), ec);

See the `buffer` documentation for information on writing multiple buffers in one go, and how to use it with arrays, boost::array or std::vector.

###### Remarks

This overload is equivalent to calling:

    asio::write(
       s, buffers,
       asio::transfer_all(), ec);